Hellowlol HTPC-Manager fork support thread
Hi Hellowlol,

I upgraded the Python on my NAS but I'm now getting cherrypy errors on start. Any suggestion what might be causing it?

pyopenssl is deffo installed as sab, headphones, couch are all using the same instance of python.

Code:
2016-04-15 21:06:09 :: root :: INFO :: Welcome to Hellowlol's HTPC Manager fork
2016-04-15 21:06:09 :: root :: INFO :: Loglevel set to debug
2016-04-15 21:06:09 :: htpc.updater :: DEBUG :: Selecting Update engine.
2016-04-15 21:06:09 :: htpc.updater :: DEBUG :: Checking if git is installed
2016-04-15 21:06:09 :: htpc.updater :: DEBUG :: Running git version
2016-04-15 21:06:09 :: htpc.updater :: DEBUG :: Found git path git
2016-04-15 21:06:09 :: htpc.settings :: DEBUG :: Saving settings git_path to the database.
2016-04-15 21:06:09 :: htpc.updater :: INFO :: Using GitUpdater engine
2016-04-15 21:06:09 :: htpc.updater :: DEBUG :: Getting current version.
2016-04-15 21:06:10 :: htpc.updater :: DEBUG :: Running git rev-parse HEAD
2016-04-15 21:06:10 :: htpc.updater :: DEBUG :: Current version: c9db507c6dfab949ff52659180b289dc72d4650c
2016-04-15 21:06:10 :: htpc.updater :: DEBUG :: Running git rev-parse --abbrev-ref HEAD
2016-04-15 21:06:10 :: apscheduler.scheduler :: INFO :: Added job "Updater.update_needed" to job store "default"
2016-04-15 21:06:10 :: modules.kodi :: ERROR :: Invalid server. Selecting first Available.
2016-04-15 21:06:10 :: htpc.settings :: DEBUG :: Saving settings newznab_current_indexer to the database.
2016-04-15 21:06:10 :: apscheduler.scheduler :: DEBUG :: Looking for jobs to run
2016-04-15 21:06:10 :: apscheduler.scheduler :: DEBUG :: Next wakeup is due at 2016-04-16 03:06:10.011449+01:00 (in 21599.974173 seconds)
2016-04-15 21:06:10 :: modules.stats :: ERROR :: Required package 'smartmontools' is not installed, or 'smartctl'
component is not on the system path. Please install and try again.
2016-04-15 21:06:10 :: htpc.server :: DEBUG :: Setting up to start cherrypy
2016-04-15 21:06:10 :: htpc.server :: DEBUG :: Updating cherrypy config, activating sessions and auth
2016-04-15 21:06:10 :: htpc.server :: DEBUG :: There isnt any certificate or key, trying to make them
2016-04-15 21:06:10 :: htpc.helpers :: ERROR :: No module named _openssl
2016-04-15 21:06:10 :: htpc.helpers :: ERROR :: You need pyopenssl and OpenSSL to make a cert
2016-04-15 21:06:10 :: htpc.server :: DEBUG :: SSL is enabled
2016-04-15 21:06:10 :: htpc.server :: INFO :: Starting up webserver
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Listening for SIGHUP.
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Listening for SIGTERM.
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Listening for SIGUSR1.
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Bus STARTING
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE PID 17711 written to '/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/HTPC-Manager.pid'.
2016-04-15 21:06:10 :: cherrypy.error :: ERROR :: [15/Apr/2016:21:06:10] ENGINE Error in 'start' listener <bound method Server.start of <cherrypy._cpserver.Server object at 0xf68eb1ec>>
Traceback (most recent call last):
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/process/wspbus.py", line 205, in publish
    output.append(listener(*args, **kwargs))
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/_cpserver.py", line 167, in start
    self.httpserver, self.bind_addr = self.httpserver_from_self()
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/_cpserver.py", line 158, in httpserver_from_self
    httpserver = _cpwsgi_server.CPWSGIServer(self)
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/_cpwsgi_server.py", line 64, in __init__
    self.server_adapter.ssl_certificate_chain)
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/wsgiserver/ssl_pyopenssl.py", line 169, in __init__
    raise ImportError("You must install pyOpenSSL to use HTTPS.")
ImportError: You must install pyOpenSSL to use HTTPS.

2016-04-15 21:06:10 :: cherrypy.error :: ERROR :: [15/Apr/2016:21:06:10] ENGINE Shutting down due to error in start listener:
Traceback (most recent call last):
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/process/wspbus.py", line 243, in start
    self.publish('start')
  File "/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/libs/cherrypy/process/wspbus.py", line 223, in publish
    raise exc
ChannelFailures: ImportError('You must install pyOpenSSL to use HTTPS.',)

2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Bus STOPPING
2016-04-15 21:06:10 :: apscheduler.scheduler :: INFO :: Scheduler has been shut down
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE HTTP Server None already shut down
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Bus STOPPED
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Bus EXITING
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE PID file removed: '/share/CACHEDEV1_DATA/.qpkg/HTPC-Manager/HTPC-Manager.pid'.
2016-04-15 21:06:10 :: cherrypy.error :: INFO :: [15/Apr/2016:21:06:10] ENGINE Bus EXITED
Reply
 
Thread Rating:
  • 2 Vote(s) - 5 Average


Messages In This Thread
raysguy wip new skins - by hellow - 2015-07-22, 21:09
RE: Hellowlol HTPC-Manager fork support thread - by GTunney - 2016-04-15, 22:10


Logout Mark Read Team Forum Stats Members Help
Hellowlol HTPC-Manager fork support thread52
This forum uses Lukasz Tkacz MyBB addons.